OpenSSL (Heartbleed) Patched on all MonsterMegs Servers

As of 9:30AM (CST) on April 8, 2014, all MonsterMegs servers vulnerable to CVE-2014-0160 (Heartbleed) OpenSSL security bug have been patched. This security vulnerability is a widespread issue affecting operating systems globally and not an issue specific to MonsterMegs. OpenSSL is a toolkit which implements SSL/TLS protocols as well ...